cURL
curl -X POST https://api.scrapio.dev/v1/search \
-H "Authorization: Bearer $SCRAPIO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"espresso machine reviews"}'import requests
url = "https://api.scrapio.dev/v1/search"
payload = { "query": "espresso machine reviews" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'espresso machine reviews'})
};
fetch('https://api.scrapio.dev/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "23a63198-4ea2-4548-ae7d-69041d8bf387",
"request_id": "23a63198-4ea2-4548-ae7d-69041d8bf387",
"kind": "search",
"mode": "inline",
"status": "completed",
"steps": [
{
"step_id": "step_search",
"type": "search",
"status": "completed",
"started_at": "2026-07-19T11:06:13.177Z",
"completed_at": "2026-07-19T11:06:17.164Z"
}
],
"result": {
"query": "espresso machine reviews",
"provider": "google",
"results": [
{
"rank": 1,
"title": "The 7 Greatest Espresso Machines in 2026 [No *BS Guide]",
"url": "https://coffeechronicler.com/gear/espresso-machines/",
"snippet": ""
},
{
"rank": 2,
"title": "The Best Espresso Machine",
"url": "https://coffeegeek.com/opinions/state-of-coffee/the-best-espresso-machine/",
"snippet": ""
},
{
"rank": 3,
"title": "Best Espresso Machine: the Final, Definitive Answer",
"url": "https://www.wholelattelove.com/blogs/reviews/the-best-espresso-machine?srsltid=AfmBOootg6Ts15jJQB9tf_KA3yTAgtJ20-3BBUvIanucteakFm9XU72i",
"snippet": ""
},
{
"rank": 4,
"title": "Good, Easy Espresso at Home | Reviews by Wirecutter",
"url": "https://www.nytimes.com/wirecutter/reviews/gaggia-classic-evo-pro-review/",
"snippet": ""
},
{
"rank": 5,
"title": "Espresso Machine & Coffee Grinder Reviews",
"url": "https://www.home-barista.com/hb-reviews.html",
"snippet": ""
}
]
},
"diagnostics": {
"step_errors": []
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}API Reference
Search
Run a web search and optionally fetch each result page in the same call.
POST
/
v1
/
search
cURL
curl -X POST https://api.scrapio.dev/v1/search \
-H "Authorization: Bearer $SCRAPIO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"espresso machine reviews"}'import requests
url = "https://api.scrapio.dev/v1/search"
payload = { "query": "espresso machine reviews" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'espresso machine reviews'})
};
fetch('https://api.scrapio.dev/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "23a63198-4ea2-4548-ae7d-69041d8bf387",
"request_id": "23a63198-4ea2-4548-ae7d-69041d8bf387",
"kind": "search",
"mode": "inline",
"status": "completed",
"steps": [
{
"step_id": "step_search",
"type": "search",
"status": "completed",
"started_at": "2026-07-19T11:06:13.177Z",
"completed_at": "2026-07-19T11:06:17.164Z"
}
],
"result": {
"query": "espresso machine reviews",
"provider": "google",
"results": [
{
"rank": 1,
"title": "The 7 Greatest Espresso Machines in 2026 [No *BS Guide]",
"url": "https://coffeechronicler.com/gear/espresso-machines/",
"snippet": ""
},
{
"rank": 2,
"title": "The Best Espresso Machine",
"url": "https://coffeegeek.com/opinions/state-of-coffee/the-best-espresso-machine/",
"snippet": ""
},
{
"rank": 3,
"title": "Best Espresso Machine: the Final, Definitive Answer",
"url": "https://www.wholelattelove.com/blogs/reviews/the-best-espresso-machine?srsltid=AfmBOootg6Ts15jJQB9tf_KA3yTAgtJ20-3BBUvIanucteakFm9XU72i",
"snippet": ""
},
{
"rank": 4,
"title": "Good, Easy Espresso at Home | Reviews by Wirecutter",
"url": "https://www.nytimes.com/wirecutter/reviews/gaggia-classic-evo-pro-review/",
"snippet": ""
},
{
"rank": 5,
"title": "Espresso Machine & Coffee Grinder Reviews",
"url": "https://www.home-barista.com/hb-reviews.html",
"snippet": ""
}
]
},
"diagnostics": {
"step_errors": []
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Search query text
Minimum string length:
1Search provider to use
Available options:
google Max number of results to return
Required range:
x <= 10Whether to fetch full content of result pages
Output formats when fetching results (requires fetch_results)
Minimum array length:
1Which output formats to return
Available options:
html, markdown, json, screenshot Structured extraction config, requires json output
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Max workflow duration, in ms
Required range:
x <= 300000Response
Search completed inline.
Common envelope every workflow endpoint (crawl, map, interact, search) returns: request/step metadata plus a kind-specific result.
Available options:
crawl, map, interact, search Available options:
inline Available options:
completed, partial, failed Kind-specific payload -- see the endpoint's example.